# docker-itmgmt

Sammlung von Docker-Stacks um einen IT-Management Server zu erstellen.

### Monitoring
 * Zabbix
 * Speedtest Tracker

### Inventar
 * GLPI
 * Snipe-IT

### Dokumentation
 * Gitea
 * Mediawiki
 * PHP-IPAM

Um den Host docker-itmgmt aufzubauen braucht es folgende Schritte:

1. Linux Host installieren, z.B. einen Proxmox LXC Container, Debian 11
2. Auf dem Host einloggen und mit dem folgenden Befehl Docker installieren:
   > wget get.docker.io -O docker.sh ; sh docker.sh

3. Ein Verzeichnis für unsere Docker Container erstellen:
   > mkdir -p /docker
   > cd /docker

3. Dieses Repository mit GIT klonen:
   > git clone https://support.ostrachhelp.de/p_reichart/docker-itmgmt <br>
   > cd docker-itmgmt

4. Nun können alle Stacks per Script erzeugt und gestartet werden:
   > ./startstop.sh start
